#!/usr/bin/perl


#Скрипт для замены подстроки в имени файлов (в директории, где находится скрипт)


use strict;
use warnings;


my $S_OLD_SUBST = $ARGV[ 0 ]; #Подстрока которую заменим
my $S_NEW_SUBST = $ARGV[ 1 ]; #Подстрока которой заменим


my @s_files = `ls -1 *.*`;
chomp( @s_files );

for( my $i = 0; $i < @s_files; $i++ )
{
	my $s_new_fname = $s_files[ $i ];
	$s_new_fname =~ s/$S_OLD_SUBST/$S_NEW_SUBST/gi;
	
	print( $s_files[ $i ] . " -> " . $s_new_fname . "\n" );
	system( "mv " . $s_files[ $i ] . " " . $s_new_fname );
}
